* {
	position: relative;
	box-sizing: border-box;
	background-clip: padding-box;
	max-width: 100%;
	line-height: calc(1em + 0.5rem);
	hyphens: auto;
	scroll-behavior: smooth;
}

*,
*::before,
*::after {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	overscroll-behavior: contain;
}

body {
	display: grid;
	place-items: center;
	padding: 2rem;
	background-color: #2c2c2c;
	font-size: 1rem;
	color: white;
}

.wrap {
	min-height: 550px;
	width: 332px;
}

.wrap > div {
	position: absolute;
	top: 0;
	left: 0;
	padding: 1rem;
	height: 100%;
	width: 100%;
	background-color: #222;
	border-radius: 7px;
}

.first {
	z-index: 2;
}

h1 {
	margin: 0 0 1rem;
	font-family: var(--tnr);
}

h1 span {
	font-size: .9rem;
	color: #ccc;
}

label {
	display: block;
	margin: 0 0 .25rem;
}

input {
	display: block;
	margin: 0 0 1rem;
	padding: .5rem;
	width: 300px;
}

input[type="submit"] {
	display: inline-block;
	padding: 1rem 2rem;
	width: fit-content;
	background-color: #ee3424;
	font-weight: bold;
	color: #fff;
	border: 0;
	border-radius: .25rem;
	cursor: pointer;
}

input[type="submit"]:hover {
	background-color: green;
}

.alt-link {
	display: flex;
	justify-content: flex-end;
	align-items: center;
	margin: 0 0 1rem;
	padding: 1rem 0 0;
	text-align: right;
	border-top: 1px solid #777;
}

.loginSwitcher {
	margin-left: 1rem;
	padding: 10px;
	background-color: #ee3424;
	color: #fff;
	border-radius: .25rem;
	cursor: pointer;
}

.forgotpw {
	padding: .5rem 1rem;
	color: white;
	text-decoration: none;
	border: 2px solid;
	border-radius: 3px;
	transition: var(--hover);
}

.forgotpw:hover {
	background-color: white;
	color: black;
	border-color: white;
}